Description

| was sure | reported this before but cannot find the issue here on redmine.org...

In most (all?) standard generators, if no parameter is given, the help is displayed. | often rely on this when generating
models/controllers, but | get an error with 2 redmine generators :

% ruby script/generate redmine_plugin_model
undefined method “underscore' for nil:NilClass

% ruby script/generate redmine_plugin_controller
undefined method “underscore' for nil:NilClass

OR (on an other machine)
% ruby script/generate redmine_plugin_controller
You have a nil object when you didn't expect it!

The error occurred while evaluating nil.underscore
| leave a tiny, tiny patch.

NB: redmine_plugin is not affected by such a bug since "super” is called at the beginning of the initialize() method.

Associated revisions

Revision 3514 - 2010-02-28 13:15 - Jean-Philippe Lang

Fixed: Plugin generators should display help if no parameter is given (#4609).

History

#1 - 2010-02-28 13:17 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee changed from Eric Davis to Jean-Philippe Lang

- Target version set to 0.9.4

Committed in r3514, thanks.

#2 - 2010-04-11 16:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed
redmine_generators_nil_underscore.diff 1.41 KB 2010-01-19 Jean-Baptiste Barth
